Tax Avalara for 4.20

2 months ago
Hello to everyone. I have a problem with the plugin avalara. It does not appear when I download it from the admin panel and it does not give an error either. When I open the zip file (avalara's) it only has the file for version 4.10. I am using 4.20, but this plugin appears in the source code of 4.20 (download source code in nopcommerce). So I took the files of this plugin from the no-source code section and published it. As such, the plugin was loaded, but when I clicked (configuration> tax provider) I got an error like this:

We're sorry, an internal error occurred. Our supporting staff has been notified of this error and will address the issue shortly. We apologize for the inconvenience. Please try clicking your browsers 'back' button or try reloading the home page. If you continue to receive this message, please try again in a little while. Thank you for your patience.We're sorry, an internal error occurred. Our supporting staff has been notified of this error and will address the issue shortly. We apologize for the inconvenience. Please try clicking your browsers 'back' button or try reloading the home page. If you continue to receive this message, please try again in a little while. Thank you for your patience.

Then my site started giving this error on every tab. I had to upload my previous publish file again so that my site would open.

Sorry it was long for the question, but is there anybody having such a problem? Thanks in advance.
2 months ago
For 4.20, the Avalara plugin is now included.  What you downloaded was what's in the marketplace which are the older versions.

RE: "We're sorry, an internal error occurred...."
See the System > Log for the specific error message